Name        	: apollo
Version     	: 1.4.2
Release     	: 1
Group       	: Applications/Multimedia
Summary     	: A user-friendly sound player.
Copyright   	: GPL
Packager    	: Jan Borsodi <jb@ez.no>
Icon        	: apollo.gif
Source         	: http://download.apolloplayer.org/
URL         	: http://www.apolloplayer.org/
Vendor          : Apollo Team
AutoReqProv     : no

Requires        : qt >= 2.2.1
BuildRequires   : qt-devel >= 2.2.1
BuildRequires   : libstdc++
Requires        : libqt.so.2
Requires        : ld-linux.so.2
Requires        : libc.so.6
Requires        : libm.so.6
Requires        : libc.so.6(GLIBC_2.0)
Requires        : libm.so.6(GLIBC_2.0)

BuildRoot   	: /tmp/%{name}-%{version}

Source: %{name}-src-%{version}-%{release}.tar.bz2

%description
Apollo is a sound player providing you with what you really need; No
more, no less.  It has a user-friendly, compact, playlist-oriented
user interface running under the X Window System using Qt for its GUI.
Only Linux has been tested, but it may very well work on other unices
as well.  Apollo currently plays MP3 files by acting as a front-end to
mpg123.

%package KDE
Summary         : KDE2 icons and app file for Apollo
Group           : Applications/Multimedia
Requires        : %{name}
Requires        : kdebase >= 2.0.0
Prefix          : /usr

%description KDE
KDE2 menu icons and app file for Apollo.

%prep
%setup -D -n %{name}-%{version}-%{release}

%build
./configure.sh --release --detect-stl --detect-kde2 --disable-buffer
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
strip -s apollo
(cd apollo-client; make RPM_OPT_FLAGS="$RPM_OPT_FLAGS")
strip -s apollo-client/apollo-client

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/%{_defaultdocdir}/apollo
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/ $RPM_BUILD_ROOT/%{prefix}/share/applnk/Multimedia/

install -m 755 apollo $RPM_BUILD_ROOT/usr/bin
install -m 755 apollo-client/apollo-client $RPM_BUILD_ROOT/usr/bin/apollo-client

cp -f CREDITS GPL INSTALL README $RPM_BUILD_ROOT/%{_defaultdocdir}/apollo

cp -fR icons/hicolor $RPM_BUILD_ROOT/%{prefix}/share/icons/
cp -fR icons/locolor $RPM_BUILD_ROOT/%{prefix}/share/icons/

cat > $RPM_BUILD_ROOT/%{prefix}/share/applnk/Multimedia/%{name}.desktop <<EOF
[Desktop Entry]
Comment=Apollo music player
Exec=apollo
Icon=apollo
Name=Apollo
Path=
Terminal=0
TerminalOptions=
Type=Application
X-KDE-SubstituteUID=false
X-KDE-Username=
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc CREDITS GPL INSTALL README
/usr/bin/apollo
/usr/bin/apollo-client

%files KDE
%defattr (-,root,root)
%{prefix}/share/icons/hicolor/16x16/apps/apollo.png
%{prefix}/share/icons/hicolor/22x22/apps/apollo.png
%{prefix}/share/icons/hicolor/32x32/apps/apollo.png
%{prefix}/share/icons/hicolor/48x48/apps/apollo.png
%{prefix}/share/icons/locolor/16x16/apps/apollo.png
%{prefix}/share/icons/locolor/22x22/apps/apollo.png
%{prefix}/share/icons/locolor/32x32/apps/apollo.png
%{prefix}/share/applnk/Multimedia/%{name}.desktop
